Policies
List policies
Lists all policies.
GET
/
policies
List policies
curl --request GET \
--url https://api.vanta.com/v1/policies \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vanta.com/v1/policies"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vanta.com/v1/policies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": {
"pageInfo": {
"hasNextPage": false,
"hasPreviousPage": false,
"endCursor": "YXJyYXljb25uZWN0aW9uOjA=",
"startCursor": "YXJyYXljb25uZWN0aW9uOjA="
},
"data": [
{
"id": "code-of-conduct-bsi",
"name": "Code of Conduct",
"description": "Develops and maintains a standard of conduct that is acceptable to the company and its employees, customers, and vendors.",
"status": "OK",
"approvedAtDate": "2024-01-15T10:30:00.000Z",
"latestVersion": {
"status": "APPROVED"
},
"latestApprovedVersion": {
"versionId": "65f1a8b2c3d4e5f60718293a",
"documents": [
{
"language": "EN",
"slugId": "a1b2c3d4e5f6g7h8i9j0k1l2",
"url": "https://app.vanta.com/c/my-domain/doc/Policy-a1b2c3d4e5f6g7h8i9j0k1l2"
}
]
}
}
]
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Controls the maximum number of items returned in one response from the API.
Required range:
1 <= x <= 100A marker or pointer, telling the API where to start fetching items for the subsequent page in a paginated dataset. Note that the requested page will not include the item that corresponds to this cursor but will start from the one immediately after this cursor.
Response
200 - application/json
Ok
Show child attributes
Show child attributes
Was this page helpful?
Previous
Get policy by IDGets a policy by ID. Policy IDs can be found in Vanta in URL bar after /policies/.
Next
⌘I
List policies
